Skip to content

Network

All operations require authentication.

4 operationsv2/publicCloud/project
Agent setup

List share networksProduction

GET
/v2/publicCloud/project/{projectId}/storage/file/network

Returns the share networks of the project.

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200FileStorageNetwork[]successful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the share network

currentState
read-only
FileStorageNetworkCurrentState

Current observed state of the share network from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the share network

id
read-only
stringuuid

Unique identifier of the share network

resourceStatus
read-only
ResourceStatusEnum

Share network readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageNetworkReadTargetSpec

Last target specification of the share network

updatedAt
read-only
stringdate-time

Last update date of the share network

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/network \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get a share networkProduction

GET
/v2/publicCloud/project/{projectId}/storage/file/network/{networkId}

Returns the share network and the network and subnet behind it.

Path parameters

networkId
required
stringuuid

Network ID

projectId
required
string

Project ID

Response

200FileStorageNetworksuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the share network

currentState
read-only
FileStorageNetworkCurrentState

Current observed state of the share network from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the share network

id
read-only
stringuuid

Unique identifier of the share network

resourceStatus
read-only
ResourceStatusEnum

Share network readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageNetworkReadTargetSpec

Last target specification of the share network

updatedAt
read-only
stringdate-time

Last update date of the share network

Example uses networkId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/network/{networkId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z"}

Create a share networkProduction

POST
/v2/publicCloud/project/{projectId}/storage/file/network

Creates a share network on a network and subnet of the project. A file storage is attached to a share network at creation.

Path parameters

projectId
required
string

Project ID

Request body (required)

targetSpec
required
FileStorageNetworkTargetSpec

Desired target specification for the share network

Response

200FileStorageNetworksuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the share network

currentState
read-only
FileStorageNetworkCurrentState

Current observed state of the share network from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the share network

id
read-only
stringuuid

Unique identifier of the share network

resourceStatus
read-only
ResourceStatusEnum

Share network readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageNetworkReadTargetSpec

Last target specification of the share network

updatedAt
read-only
stringdate-time

Last update date of the share network

400objectError 400 response
409objectError 409 response

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/network \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete a share networkProduction

DELETE
/v2/publicCloud/project/{projectId}/storage/file/network/{networkId}

Deletes the share network. A share network still used by a file storage cannot be deleted.

Path parameters

networkId
required
stringuuid

Network ID

projectId
required
string

Project ID

Response

200FileStorageNetworksuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the share network

currentState
read-only
FileStorageNetworkCurrentState

Current observed state of the share network from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the share network

id
read-only
stringuuid

Unique identifier of the share network

resourceStatus
read-only
ResourceStatusEnum

Share network readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageNetworkReadTargetSpec

Last target specification of the share network

updatedAt
read-only
stringdate-time

Last update date of the share network

409objectError 409 response

Example uses networkId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/network/{networkId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "network": { "id": "00000000-0000-0000-0000-000000000000" }, "subnet": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z"}